Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.GetAsync(
            id: "id",
            request: new GetUserRequestParameters {
                Fields = "fields",
                IncludeFields = true
            }
        );
    }

}
{
  "user_id": "auth0|507f1f77bcf86cd799439020",
  "email": "john.doe@gmail.com",
  "email_verified": false,
  "username": "johndoe",
  "phone_number": "+199999999999999",
  "phone_verified": false,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "identities": [
    {
      "connection": "<string>",
      "user_id": "abc",
      "isSocial": true,
      "access_token": "<string>",
      "access_token_secret": "<string>",
      "refresh_token": "<string>",
      "profileData": {
        "email": "<string>",
        "email_verified": true,
        "name": "<string>",
        "username": "johndoe",
        "given_name": "<string>",
        "phone_number": "<string>",
        "phone_verified": true,
        "family_name": "<string>"
      }
    }
  ],
  "app_metadata": {},
  "user_metadata": {},
  "picture": "<string>",
  "name": "<string>",
  "nickname": "<string>",
  "multifactor": [
    "<string>"
  ],
  "multifactor_last_modified": "2023-11-07T05:31:56Z",
  "last_ip": "<string>",
  "last_login": "2023-11-07T05:31:56Z",
  "last_password_reset": "2023-11-07T05:31:56Z",
  "logins_count": 123,
  "blocked": true,
  "given_name": "<string>",
  "family_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to retrieve.

Query Parameters

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

include_fields
boolean

Whether specified fields are to be included (true) or excluded (false).

Response

User successfully retrieved.

user_id
string
default:auth0|507f1f77bcf86cd799439020

ID of the user which can be used when interacting with other APIs.

email
string<email>
default:john.doe@gmail.com

Email address of this user.

email_verified
boolean
default:false

Whether this email address is verified (true) or unverified (false).

username
string
default:johndoe

Username of this user.

phone_number
string
default:+199999999999999

Phone number for this user. Follows the E.164 recommendation.

phone_verified
boolean
default:false

Whether this phone number has been verified (true) or not (false).

created_at
string<date-time>

Date and time when this user was created.

updated_at
string<date-time>

Date and time when this user was last updated/modified.

identities
object[]

Array of user identity objects when accounts are linked.

app_metadata
object

User metadata to which this user has read-only access.

user_metadata
object

User metadata to which this user has read/write access.

picture
string

URL to picture, photo, or avatar of this user.

name
string

Name of this user.

nickname
string

Preferred nickname or alias of this user.

multifactor
string[]

List of multi-factor authentication providers with which this user has enrolled.

multifactor_last_modified
string<date-time>

Last date and time this user's multi-factor authentication providers were updated.

last_ip
string

Last IP address from which this user logged in.

last_login
string<date-time>

Last date and time this user logged in.

last_password_reset
string<date-time>

Last date and time this user had their password reset.

logins_count
integer

Total number of logins this user has performed.

blocked
boolean

Whether this user was blocked by an administrator (true) or is not (false).

given_name
string

Given name/first name/forename of this user.

family_name
string

Family name/last name/surname of this user.